package com.unissoft.interaction.config;

import com.unissoft.interaction.service.QuartzManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

@Component
@Order(value = 1)
public class MyApplicationRunner implements ApplicationRunner {

    @Autowired
    private QuartzManager quartzManager;

    @Override
    public void run(ApplicationArguments var1) throws Exception{
        quartzManager.start();
    }
}