package com.unissoft.systemManage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unissoft.systemManage.model.OrgAnnouncement;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-10-20
 */
@Repository
public interface OrgAnnouncementMapper extends BaseMapper<OrgAnnouncement> {

    @Select("select * from org_announcement ORDER BY publlisher_time LIMIT 0,6")
    List<OrgAnnouncement> selectAnnouncementtListBylimit();
}
