package com.unissoft.systemManage.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.systemManage.model.OrgInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 组织机构和仓房表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-10-20
 */
@Repository
public interface OrgInfoMapper extends BaseMapper<OrgInfo> {

    Page<List<Map<String, Object>>> getStorehouse(IPage<List<Map<String, Object>>> page, @Param("id") Long param);

    List<OrgInfo> getOrgMap(@Param("orgId") String orgId);

	String getSumNumber(Integer orgId);
}
