package com.unissoft.systemManage.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("org_announcement")
@ApiModel(value="OrgAnnouncement对象", description="")
public class OrgAnnouncement implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "公告管理")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "公告标题")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "公告详情")
    @TableField("details")
    private String details;

    @ApiModelProperty(value = "发布状态(0:未发布存草稿，1:已发布)")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "发布人")
    @TableField("publisher")
    private String publisher;

    @ApiModelProperty(value = "发布时间")
    @TableField("publlisher_time")
    private Date publlisherTime;


}
