package com.unissoft.systemManage.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-12-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("point_data")
@ApiModel(value="PointData对象", description="")
public class PointData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "仓房id")
    @TableField("house_id")
    private Long houseId;

    @ApiModelProperty(value = "高")
    @JsonProperty("LKHeight")
    @TableField("lk_height")
    private String lkHeight;

    @ApiModelProperty(value = "b半径")
    @JsonProperty("Radius")
    @TableField("radius")
    private String radius;

    @ApiModelProperty(value = "所有的点的坐标")
    @JsonProperty("Points")
    @TableField("points")
    private String points;

    @ApiModelProperty(value = "最低点的高")
    @JsonProperty("MinHeigth")
    @TableField("min_heigth")
    private String minHeigth;

    @ApiModelProperty(value = "垂直最大高度")
    @TableField("vertical_max_heigth")
    private String verticalMaxHeigth;

    @ApiModelProperty(value = "垂直最小高度")
    @TableField("vertical_min_heigth")
    private String verticalMinHeigth;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;
    
    @ApiModelProperty(value = "平房仓的长")
    @JsonProperty("Length")
    @TableField("length")
    private String length;
    
    
    @ApiModelProperty(value = "平房仓的宽")
    @JsonProperty("Wide")
    @TableField("wide")
    private String wide;


}
