package com.unissoft.systemManage.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.unissoft.basic.model.BasicEnum;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-10-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("quantity_statistics")
@ApiModel(value="QuantityStatistics对象", description="")
public class QuantityStatistics implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "出入库数量统计表")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "出库量")
    @TableField("out_quantity")
    private String outQuantity;

    @ApiModelProperty(value = "入库量")
    @TableField("Into_quantity")
    private String intoQuantity;

    @ApiModelProperty(value = "单位id")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "时间")
    @TableField("time")
    private Date time;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;
    
    
    @TableField(exist = false)
    private String outRate; //出库率
    
    @TableField(exist = false)
    private String intoRate; //入库率


}
