package com.unissoft.systemManage.service;

import com.unissoft.systemManage.model.StorehouseClxx;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2021-10-21
 */
public interface StorehouseClxxService extends IService<StorehouseClxx> {

    /**
     * 删除一个仓房数据和这个仓房下的储粮数据
     * @param id
     * return
     */
    boolean deleteStorehouse(Integer id);

    /**
     * 查询一条仓房的明细信息
     * @param id 仓房ID
     * @return
     */
    Map<String,Object> getStorehouseById(int id);
}
