package com.unissoft.utils;

import com.baomidou.mybatisplus.core.incrementer.IdentifierGenerator;
import com.unissoft.config.IdGenerator16Bit;
import org.springframework.expression.spel.ast.Identifier;
import org.springframework.stereotype.Component;
import org.springframework.util.IdGenerator;

import java.util.Date;
import java.util.UUID;

/**
 * ClassName: idUtils
 * Package: com.unissoft.utils
 * Description: 自定义ID生成长度为16位
 *
 * @Author zlq
 * @Create 2023/3/3 17:36
 * @Version 1.0
 */
@Component
public class idUtils  implements IdentifierGenerator {
    @Override
    public Long nextId(Object esntity) {
        // 填充自己的Id生成器，
        return IdGenerator16Bit.generateId();
    }

}
