package com.unissoft.interaction.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author MySunshine
 * @since 2022-05-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("density_data")
@ApiModel(value="DensityData对象", description="")
public class DensityData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "仓房")
    @TableField("house_id")
    private Integer houseId;

    @ApiModelProperty(value = "密度(千克/立方米)")
    @TableField("density")
    private String density;

    @ApiModelProperty(value = "单位id")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "编辑时间")
    @TableField("edit_time")
    private Date editTime;


}
