package com.unissoft.interaction.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2022-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("timing_task")
@ApiModel(value="TimingTask对象", description="")
public class TimingTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "uuid")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "单位id")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "仓房id")
    @TableField("house_id")
    private String houseId;

    @ApiModelProperty(value = "修改人员")
    @TableField("update_person")
    private String updatePerson;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty(value = "定时的时间")
    @TableField("detection_desc")
    private String detectionDesc;

    @ApiModelProperty(value = "cron表达式")
    @TableField("detection_cron")
    private String detectionCron;

    @ApiModelProperty(value = "开关 (1打开 0关)")
    @TableField("t_switch")
    private String tSwitch;

    @ApiModelProperty(value = "类别")
    @TableField("category")
    private String category;


}
