package com.unissoft.interaction.service;

import com.unissoft.interaction.entity.TeData;


/**
 * http://local.wxlxit.com:61001/
 * 1. equipmentTestingIsReady
 * 2. equipmentTestingStart
 * 3. equipmentTestingEnd
 * <p>
 * equipmentTestingContinue
 * equipmentTestingResult
 */


public interface TeDataService {


    /**
     * 第一次待打点
     *
     * @param high
     * @param diameter
     * @return 数据库影响条数
     */
    void scanTask(double diameter, double high);

    /**
     * 第二次待打点
     *
     * @param teData
     * @return 数据库影响条数
     */
    void scanTask(TeData teData);

    int  saveTeData(TeData teData);
    /**
     * 计算体积
     *
     * @param taskID
     */
    double calculateVolume(String taskID);


	void scanTask(String cfId, Double diameter, Double h);

	void tj(String taskID);

	double calculateVolumeByOne(String taskID);

	void calibration(String cfId, double diameter, double height);

}
