package com.unissoft.systemManage.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-10-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_police_log")
@ApiModel(value="BasicPoliceLog对象", description="")
public class BasicPoliceLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("id")
    private Integer id;

    @ApiModelProperty(value = "仓房id")
    @TableField("house_id")
    private String houseId;

    @ApiModelProperty(value = "仓房名称")
    @TableField("house_name")
    private String houseName;

    @ApiModelProperty(value = "直属库名称")
    @TableField("zsk_name")
    private String zskName;

    @ApiModelProperty(value = "操作人员id")
    @TableField("oper_id")
    private String operId;

    @ApiModelProperty(value = "操作人姓名")
    @TableField("oper_name")
    private String operName;

    @ApiModelProperty(value = "联系方式")
    @TableField("phone_o")
    private String phoneO;

    @ApiModelProperty(value = "扫描点数")
    @TableField("scan_num")
    private String scanNum;

    @ApiModelProperty(value = "异常点数")
    @TableField("exc_num")
    private String excNum;

    @ApiModelProperty(value = "报警时间")
    @TableField("polic_time")
    private Date policTime;

    @ApiModelProperty(value = "报警类型")
    @TableField("polic_type")
    private String policType;

    @ApiModelProperty(value = "备注-反馈")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;


}
