package com.unissoft.systemManage.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-10-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_rule_police")
@ApiModel(value="BasicRulePolice对象", description="")
public class BasicRulePolice implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("id")
    private Integer id;

    @ApiModelProperty(value = "仓房id")
    @TableField("house_id")
    private String houseId;

    @ApiModelProperty(value = "报警启用总开关1,开。0,关")
    @TableField("poic_status")
    private String poicStatus;

    @ApiModelProperty(value = "总数报警开关1,开2,关")
    @TableField("count_status")
    private String countStatus;

    @ApiModelProperty(value = "总数报警阈值")
    @TableField("conut_price")
    private BigDecimal conutPrice;

    @ApiModelProperty(value = "逐次报警阈值")
    @TableField("grad_price")
    private BigDecimal gradPrice;

    @ApiModelProperty(value = "电话1")
    @TableField("phone_o")
    private String phoneO;

    @ApiModelProperty(value = "电话2")
    @TableField("phone_t")
    private String phoneT;

    @ApiModelProperty(value = "电话3")
    @TableField("phone_th")
    private String phoneTh;

    @ApiModelProperty(value = "电话4")
    @TableField("phone_f")
    private String phoneF;

    @ApiModelProperty(value = "操作人id")
    @TableField("oper_id")
    private String operId;

    @ApiModelProperty(value = "操作人name")
    @TableField("oper_name")
    private String operName;

    @ApiModelProperty(value = "是否删除1,删除0,不删除")
    @TableField("if_dele")
    private String ifDele;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;


}
