package com.unissoft.systemManage.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-10-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("n_basic_edge")
@ApiModel(value="NBasicEdge对象", description="")
public class NBasicEdge implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    
    @ApiModelProperty(value = "直属库")
    @TableField("zsk")
    private String zsk;

    @ApiModelProperty(value = "分库")
    @TableField("fk")
    private String fk;

    @ApiModelProperty(value = "仓房id")
    @TableField("house_id")
    private String houseId;

    @ApiModelProperty(value = "定时任务表达式")
    @TableField("cron")
    private String cron;

    @ApiModelProperty(value = "开始时间")
    @TableField("begin_time")
    private Date beginTime;

    @ApiModelProperty(value = "结束时间")
    @TableField("end_time")
    private Date endTime;

    @ApiModelProperty(value = "粮库体积")
    @TableField("lk_volume")
    private String lkVolume;

    @ApiModelProperty(value = "粮库重量")
    @TableField("lk_weight")
    private Double lkWeight;

    @ApiModelProperty(value = "设备id")
    @TableField("equi_id")
    private String equiId;

    @ApiModelProperty(value = "设备名称")
    @TableField("equi_name")
    private String equiName;

    @ApiModelProperty(value = "设备code")
    @TableField("equi_code")
    private String equiCode;

    @ApiModelProperty(value = "操作人id")
    @TableField("oper_id")
    private String operId;

    @ApiModelProperty(value = "操作人姓名")
    @TableField("oper_name")
    private String operName;

    @ApiModelProperty(value = "是否报警1,报警。2不报警")
    @TableField("ca_polic")
    private String caPolic;

    @ApiModelProperty(value = "仓房状态1,出库2,入库")
    @TableField("h_status")
    private String hStatus;


}
