package com.unissoft.systemManage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-10-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user_info")
@ApiModel(value="UserInfo对象", description="")
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id主键")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty(value = "用户ID")
    @TableField("user_id")
    private String userId;

    @ApiModelProperty(value = "用户姓名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "用户密码")
    @TableField("user_password")
    private String userPassword;

    @ApiModelProperty(value = "用户角色")
    @TableField("user_role")
    private String userRole;

    @ApiModelProperty(value = "用户角色名称")
    @TableField("user_role_name")
    private String userRoleName;

    @ApiModelProperty(value = "所属仓库编码(组织机构编码)")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "组织机构名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "管理仓房(管理仓房编码)")
    @TableField("manage_store")
    private String manageStore;

    @ApiModelProperty(value = "管理仓房名称")
    @TableField("manage_store_name")
    private String manageStoreName;

    @ApiModelProperty(value = "联系方式")
    @TableField("user_phone")
    private String userPhone;

    @ApiModelProperty(value = "用户状态-是否启用(0:停用,1:启用)")
    @TableField("user_state")
    private String userState;

    @ApiModelProperty(value = "创建时间")
    @TableField("build_time")
    private Date buildTime;


}
