package com.unissoft.systemManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.systemManage.model.BasicPoliceLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.systemManage.model.NBasicEdge;
import com.unissoft.systemManage.model.OrgInfo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2021-10-22
 */
public interface BasicPoliceLogService extends IService<BasicPoliceLog> {

    //实现分页
    IPage<BasicPoliceLog> getPoliceLogPage(PageParam pageParam);

    //根据仓房id查询数据
    List<BasicPoliceLog> getTreeList(String houseId);
}
