package com.unissoft.systemManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.PageParam;
import com.unissoft.systemManage.model.BasicRulePolice;
import com.unissoft.systemManage.model.NBasicEdge;
import com.unissoft.systemManage.model.SyncV2xyz;

import java.text.ParseException;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2021-10-22
 */
public interface NBasicEdgeService extends IService<NBasicEdge> {

    IPage<NBasicEdge> getTreeList(PageParam pageParam);

    List<NBasicEdge> getListByOrgId(PageParam pageParam);

	int manualSaveNBasicEdge (String nBasicEdgeStr) throws ParseException;

	void saveEdgeData(SyncV2xyz syncV2xyz) throws Exception;
}
